c#######################################################################
c
c     PERMANENT CONSTANTS FOR MC-TINKER
c
c#######################################################################
c
c !!! IT IS RECOMMENDED THAT THESE CONSTANTS NOT BE MODIFIED BY THE USER 
c
c#######################################################################
c
c  fpi   - the value of pi
c
      parameter (fpi = 3.141592654d0)
c
c  fhaam - convert hartree to amu*bohr2/atu2
c
      parameter (fhaam = 5.48593d-04)
c
c  fhacm - convert hartree to cm-1
c
      parameter (fhacm = 2.19474627d+05)
c
c  fhaev - convert hartree to eV
c
      parameter (fhaev = 27.21161d0)
c
c  fhakc - convert hartree to kcal/mol
c
cc     parameter (fhakc = 627.5095d0)
       parameter (fhakc = 627.509391d0)
c
c  fboan - convert bohr to angstrom
c
      parameter (fboan = 0.529177249d0)
c
c#######################################################################
c
c     This file contains another parameter that should not be modified 
c     by the user.
c
c
c     mcmcar = maximum allowed number of Cartesian coordinates.
c              This is defined as three times the maximum allowed 
c              number of atoms.
c
      parameter (mcmcar = 3*mcmatm)
c
c#######################################################################
