c#######################################################################
c
c     PARAMETER STATEMENTS FOR MC-TINKER
c
c#######################################################################
c
c     This file contains the parameters that are common to both the 
c     Tinker program and to the MCT module and that can be modified by
c     the user. Specifically, there are two parameters:
c
c     maxatm = maximum allowed number of atoms in the molecular system.
c
c     maxkey = maximum allowed number of lines in the keyword file. For
c              simplicity maxkey is set to twice the value of maxatm
c              although other values are possible. In this way the
c              user should change only the mcmatm value.
c
c     For simplicity maxkey is set to twice the value of maxatm although
c     other values are possible. In this way the user should change only
c     the maxatm value.
c
c     In the MCT module the variables are calle mcmatm and mcmkey.
c
c     Other parameters are present in include file mcparm.inc. Those
c     parameters may also be modified.
c
c     Note: If these parameters are modified the source code for
c           MC-TINKER must be recompiled.
c
c#######################################################################
c
      parameter (maxatm = 40)
c
      parameter (maxkey = 2*maxatm)
c
c#######################################################################
