c
c
c     ###################################################
c     ##  COPYRIGHT (C)  1992  by  Jay William Ponder  ##
c     ##              All Rights Reserved              ##
c     ###################################################
c
c     #################################################################
c     ##                                                             ##
c     ##  vdw.i  --  van der Waals parameters for current structure  ##
c     ##                                                             ##
c     #################################################################
c
c
c     radmin   minimum energy distance for each atom class pair
c     epsilon  well depth parameter for each atom class pair
c     kred     value of reduction factor parameter for each atom
c     ired     attached atom to which reduction factor is applied
c     nvdw     total number van der Waals active sites in the system
c     ivdw     number of the atom for each van der Waals active site
C hailin
c     radmin4    minimum energy distance for 1-4 interaction pairs
c     epsilon4   well depth parameter for 1-4 interaction pairs
C hailinend
c
c

      integer ired,nvdw,ivdw
      real*8 radmin,epsilon,kred
C hailin
      real*8 radmin4,epsilon4
      common /vdw/ radmin(maxclass,maxclass),epsilon(maxclass,maxclass),
     &             kred(maxatm),ired(maxatm),nvdw,ivdw(maxatm),
     &             radmin4(maxclass,maxclass),
     &             epsilon4(maxclass,maxclass)
C hailinend
